AddressesVault addresses

Vault addresses

Vault addresses (by createdAt desc, keyset pagination), enriched with asset information and a decimal balance. For a member: THEIR OWN (createdById from the session) + optionally shared ones (?access); for an admin: the ENTIRE Vault (?userId= narrows it to an owner).

Scenarios:

  • all my usdt addresses: ?token=usdt
  • find my address: ?search=TQ5k (substring in the on-chain address or label)
curl -X GET "https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/addresses?token=usdt&search=example_string&folderId=example_string&access=own&userId=example_string&limit=42&cursor=example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "items": [
    {
      "id": "cmr3f41z20001psp7phmyapw3",
      "address": "TQ5kohbBSdorGoDBmCGUmDL7RUvNr75mBC",
      "derivationPath": "m/44/195/0/0/1/1/0",
      "network": "tron",
      "pathIndex": 42,
      "segmentsJson": {
        "app_id": 0,
        "purpose": 1,
        "asset": 1,
        "stage": 0
      },
      "label": "example_string",
      "description": "example_string",
      "tagsJson": [
        "example_string"
      ],
      "logoUri": "example_string",
      "color": "#000",
      "emoji": "💳",
      "balance": "1500000",
      "balances": [
        {
          "tokenId": "example_string",
          "asset": "usdt",
          "symbol": "USDT",
          "decimals": 42,
          "available": "example_string",
          "availableDecimal": "1.951234",
          "reserved": "example_string",
          "reservedDecimal": "example_string"
        }
      ],
      "tokenId": "example_string",
      "createdAt": "2026-07-02T11:25:15.134000Z",
      "asset": "usdt",
      "assetName": "John Doe",
      "assetSymbol": "USDT",
      "balanceDecimal": "1.5",
      "owner": {
        "id": "example_string",
        "name": "John Doe",
        "username": "John Doe",
        "image": "example_string",
        "color": "example_string",
        "emoji": "example_string"
      },
      "access": {
        "isOwner": true,
        "isAdmin": true,
        "canView": true,
        "canTransfer": true
      }
    }
  ],
  "nextCursor": "example_string"
}
GET
/api/v1/vaults/{code}/addresses
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Session token. Mobile/services. The web uses a cookie.

Session token. Mobile/services. The web uses a cookie.
API Key (cookie: session_token)
session_tokenstring
Required

API key (sent in cookie)

path
codestring
Required

Unique Vault code (slug)

query
tokenstring

Code of the address's primary token

query
folderIdstring

Only addresses from my folder (address-folders)

query
accessstring

own: only mine (default); shared: shared with me (view); all: both. Doesn't apply to an admin, who sees the entire Vault (see userId)

Options: own, shared, all
query
userIdstring

Admin only: addresses of a specific owner. Without the parameter, an admin sees the ENTIRE Vault (they have no addresses of their own; it's an oversight role). A non-admin can only specify themselves, otherwise 403

query
limitinteger
Min: 1 • Max: 100
Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Session token. Mobile/services. The web uses a cookie.

path
parameterstring
Required

API Key for authentication. Provide your API key in the cookie.

Path Parameters

codestring
Required

Unique Vault code (slug)

Example:
demo_vault

Query Parameters

tokenstring

Code of the address's primary token

Example:
usdt
folderIdstring

Only addresses from my folder (address-folders)

accessstring

own: only mine (default); shared: shared with me (view); all: both. Doesn't apply to an admin, who sees the entire Vault (see userId)

Allowed values:ownsharedall
userIdstring

Admin only: addresses of a specific owner. Without the parameter, an admin sees the ENTIRE Vault (they have no addresses of their own; it's an oversight role). A non-admin can only specify themselves, otherwise 403

Responses

itemsarray
Required
nextCursorstring
Required